'use strict';

import React from 'react';
import { observer } from 'mobx-react';
import './settlechance.less';
import { ModalCtrl } from "@/core/ctrls/ModalCtrl";
import { LOG_KEY, MatterShareOpt, MatterViewDuration, MatterViewOpt, pageView, sensorLog } from "../../utils/sensors.js";
@observer
class Settlechance extends React.Component {
  constructor(props) {
    super(props);
  }
  componentDidMount(){
    pageView("b14276", {
      page_name: "结算弹窗",
    });
    sensorLog(LOG_KEY.exposure, "b14276", "d14279", {
      page_name: "结算弹窗",
      button_name: "关闭按钮",
    });
    sensorLog(LOG_KEY.exposure, "b14276", "d14278", {
      page_name: "结算弹窗",
      button_name: "去抽奖按钮",
    });
    sensorLog(LOG_KEY.exposure, "b14276", "d14277", {
      page_name: "结算弹窗",
      button_name: "我知道了按钮",
    });
  }
  onClose = ()=>{
    ModalCtrl.closeModal()
    sensorLog(LOG_KEY.click, "b14276", "d14279", {
      page_name: "结算弹窗",
      button_name: "关闭按钮",
    });
  }
  onClose2 = ()=>{
    ModalCtrl.closeModal()
    sensorLog(LOG_KEY.click, "b14276", "d14277", {
      page_name: "结算弹窗",
      button_name: "我知道了按钮",
    });
  }
  doDraw = ()=>{
    ModalCtrl.closeModal()
    sensorLog(LOG_KEY.click, "b14276", "d14278", {
      page_name: "结算弹窗",
      button_name: "去抽奖按钮",
    });
  }
  render() {
    return (
      <div className="settlechance modal_center">
        <span className="dongxiao"></span>
        <span className="bg"></span>
        <span className="draw"></span>
        <span className="know"></span>
        <span className="icon"></span>
        <span className="title"></span>
        <span className="tip1">获得了「银河系脑洞霸主」称号</span>
        <span className="tip2">你的脑洞能凭空造出‘榴莲味wiFi’和‘会蹦迪的沙发’,建议去给科幻片当编剧，拯救全人类！</span>
        <span className="tip3">恭喜获得抽奖机会+1</span>
        <span className="close"></span>
      </div>
    );
  }
}
export default Settlechance;
